#!/bin/sh

########################################################
# Definition
########################################################
WDT_AME8510_CFG="/etc/factory.d/wdt_ame8510.cfg"

if [ -e $WDT_AME8510_CFG ]; then
    . $WDT_AME8510_CFG
else
    echo "$WDT_AME8510_CFG is not exist!";
    exit 1;
fi

n=1
LOG="/tmp/wdt.log"
FEED_INTERVAL=5

########################################################
# start
########################################################

# $1 for feed_interval, default is FEED_INTERVAL
# 0 < feed_interval < 300
if [ "$#" -ne "0" ] ; then
    if [ "$1" -gt 0 -a "$1" -lt 300 ]; then
        FEED_INTERVAL=$1;
    fi
fi

while [ $n -gt 0 ];
do
#	cur_time=`date +%s`
	cur_time=`date +%Y:%H:%M:%S`
	echo "[${cur_time}] : feeding watchdog !" > $LOG ;
	echo 1 > /sys/class/gpio/gpio$WDT_SET_GPIO/value; > /dev/null 2>&1
	sleep 1
	echo 0 > /sys/class/gpio/gpio$WDT_SET_GPIO/value; > /dev/null 2>&1
	sleep ${FEED_INTERVAL}
done

